CVE-2013-1518

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-1518 at MITRE

Description

Unspecified vulnerability in the Java Runtime Environment (JRE) component in Oracle Java SE 7 Update 17 and earlier, 6 Update 43 and earlier, and 5.0 Update 41 and earlier; and OpenJDK 6 and 7; allows remote attackers to affect confidentiality, integrity, and availability via vectors related to JAXP. NOTE: the previous information is from the April 2013 CPU. Oracle has not commented on claims from another vendor that this issue is related to "missing security restrictions."

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 10.00
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 816720 [RESOLVED / FIXED], 817157 [RESOLVED / FIXED], 819288 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • java-1_6_0-openjdk >= 1.6.0.0_b27.1.12.5-0.2.1
  • java-1_6_0-openjdk-demo >= 1.6.0.0_b27.1.12.5-0.2.1
  • java-1_6_0-openjdk-devel >= 1.6.0.0_b27.1.12.5-0.2.1
Patchnames:
sledsp2-java-1_6_0-openjdk
SUSE Linux Enterprise Desktop 10 SP4 for x86
  • java-1_5_0-ibm >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-alsa >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-demo >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-src >= 1.5.0_sr16.2-0.5.1
Builds
ZYPP Patch Nr: 8593
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
  • java-1_5_0-ibm >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-alsa-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-demo >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-src >= 1.5.0_sr16.2-0.5.1
Builds
ZYPP Patch Nr: 8593
SUSE Linux Enterprise Server 10 SP4 for x86
  • java-1_5_0-ibm >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-alsa >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr16.2-0.5.1
Builds
ZYPP Patch Nr: 8593
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • java-1_5_0-ibm >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-64bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-jdbc >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-plugin >= 1.5.0_sr16.2-0.5.1
Builds
ZYPP Patch Nr: 8593
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • java-1_5_0-ibm >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.2-0.5.1
Builds
ZYPP Patch Nr: 8593
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
  • java-1_5_0-ibm >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-alsa-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-devel-32bit >= 1.5.0_sr16.2-0.5.1
  • java-1_5_0-ibm-fonts >= 1.5.0_sr16.2-0.5.1
Builds
ZYPP Patch Nr: 8593
SUSE Linux Enterprise Desktop 11 SP2
  • java-1_6_0-openjdk >= 1.6.0.0_b27.1.12.5-0.2.1
  • java-1_6_0-openjdk-demo >= 1.6.0.0_b27.1.12.5-0.2.1
  • java-1_6_0-openjdk-devel >= 1.6.0.0_b27.1.12.5-0.2.1
Builds
SAT Patch Nr: 7718
openSUSE 12.3
  • java-1_7_0-openjdk >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-debuginfo >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-debugsource >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-demo >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-demo-debuginfo >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-devel >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-devel-debuginfo >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-javadoc >= 1.7.0.6-8.14.5
  • java-1_7_0-openjdk-src >= 1.7.0.6-8.14.5
Patchnames:
openSUSE-2013-426
openSUSE Evergreen 11.4
  • java-1_6_0-openjdk >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-debuginfo >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-debugsource >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-demo >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-demo-debuginfo >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-devel >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-devel-debuginfo >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-javadoc >= 1.6.0.0_b27.1.12.5-37.1
  • java-1_6_0-openjdk-src >= 1.6.0.0_b27.1.12.5-37.1
Patchnames:
2013-74